Bug 556700 - [Indic] Quote marks are ugly than English counterparts
Summary: [Indic] Quote marks are ugly than English counterparts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-fonts
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Pravin Satpute
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-19 05:49 UTC by A S Alam
Modified: 2013-07-03 00:57 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-14 04:58:31 UTC
Type: ---


Attachments (Terms of Use)
Screenshot for Quote (25.76 KB, image/png)
2010-01-19 05:49 UTC, A S Alam
no flags Details

Description A S Alam 2010-01-19 05:49:04 UTC
Created attachment 385317 [details]
Screenshot for Quote

Description of problem:
While Using Quote Marks (Single/Double) with Lohit Fonts, it looks very bad
shape as compared to English ones. Single Quote actually marge with Character,
which is hard to find that it is quote OR part of Character

Version-Release number of selected component (if applicable):
lohit-hindi-fonts-2.4.3-2.fc12.noarch

How reproducible:
100%

Steps to Reproduce:
1. Use Openoffice.org writer (oowriter)
2. Type Something in English in-between ""/'' 
3. Switch Keymap to Hindi (Ctrl+Space) and type between ""/''
4. 
  
Actual results:
Shape is bad as compared to English

Expected results:
Should same or better than english

Additional info:

Comment 1 Jens Petersen 2010-01-19 23:43:30 UTC
Are quotation marks used in Indic text?
Is it better to remove them from the font??
How about other Indic fonts?

Comment 2 A S Alam 2010-01-20 05:03:17 UTC
(In reply to comment #1)
> Are quotation marks used in Indic text?
ya, sure
> Is it better to remove them from the font??
I would like not to include those in fonts, but need to check if KDE has problem 
like "Danda" issue (bug #228267)

Comment 3 Pravin Satpute 2010-01-20 05:59:48 UTC
i think better to improve shapes in indic fonts itself, so no dependency on other font

better to fix once for all fonts, thanks alam for notifying this bug it will really enhance fonts more

Comment 4 Pravin Satpute 2010-03-18 05:45:06 UTC
oops, sorry i did not noticed this earlier
quote sinlge shape in lohit fonts is as per lohit style, Its sans-serif

so one show in image of other fonts is serif one

so i think we no need to change anything in lohit fonts, 
i will recheck its positioning

Comment 5 Pravin Satpute 2010-04-14 04:58:31 UTC
update position of quote's in lohit punjabi 2.4.4
please reopen bug if any problem


Note You need to log in before you can comment on or make changes to this bug.